> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace the tags of a resource



## OpenAPI

````yaml /openapi.json put /api/tags/links
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/tags/links:
    put:
      tags:
        - Tags
      summary: Replace the tags of a resource
      operationId: putApiTagsLinks
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - kind
                - id
                - tagIds
              properties:
                kind:
                  type: string
                  enum:
                    - app
                    - database
                id:
                  minLength: 1
                  type: string
                tagIds:
                  type: array
                  items:
                    minLength: 1
                    type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - kind
                - id
                - tagIds
              properties:
                kind:
                  type: string
                  enum:
                    - app
                    - database
                id:
                  minLength: 1
                  type: string
                tagIds:
                  type: array
                  items:
                    minLength: 1
                    type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - kind
                - id
                - tagIds
              properties:
                kind:
                  type: string
                  enum:
                    - app
                    - database
                id:
                  minLength: 1
                  type: string
                tagIds:
                  type: array
                  items:
                    minLength: 1
                    type: string
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.